Bug 1127001 - X won't start on Tegra systems due to "no screens found"
Summary: X won't start on Tegra systems due to "no screens found"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 20:17 UTC by Stephen Warren
Modified: 2015-11-09 12:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-09 12:22:18 UTC


Attachments (Terms of Use)
Patch that implements this for rawhide (3.14 KB, patch)
2014-08-05 20:44 UTC, Stephen Warren
no flags Details | Diff
Fedora package patch to fix the problem, take 2. (6.55 KB, patch)
2014-08-06 18:05 UTC, Stephen Warren
no flags Details | Diff

Description Stephen Warren 2014-08-05 20:17:25 UTC
The following patch is required to allow X to start on Tegra (ARM) systems using the modesetting Xorg driver:

http://patchwork.freedesktop.org/patch/31056/
modesetting: don't be a GPU screen

Can this please be added to Fedora's package?

With this applied, X starts fine in either an installed system, or within the (pxeboot) installer.

Comment 1 Stephen Warren 2014-08-05 20:44:59 UTC
Created attachment 924286 [details]
Patch that implements this for rawhide

Adding the patch I applied locally for testing.

Comment 2 Stephen Warren 2014-08-05 23:34:40 UTC
(Mostly for the record in the bug tracker)

Dave, I noticed that on IRC you'd mentioned to Rob this might not be the right fix, since modesetting might need to expose a GPU screen. If so, then I guess the following from Thierry should be applied in Fedora:

http://patchwork.freedesktop.org/patch/28494/
xfree86: Fallback to first platform device as primary

http://patchwork.freedesktop.org/patch/28495/
xfree86: Allow non-PCI devices as primary

Does that sound like a better fix? If so, I can try and test those tomorrow.

Comment 3 Stephen Warren 2014-08-06 18:04:05 UTC
Dave NAK'd the original patch:
http://lists.x.org/archives/xorg-devel/2014-August/043450.html

I tried the two patches from Thierry that I mentioned in comment 2. That works. I'll re-write the bug subject to describe the problem rather than the orignal NAK'd fix, and attach an updated patch which fixes the issue the right way.

Comment 4 Stephen Warren 2014-08-06 18:05:45 UTC
Created attachment 924552 [details]
Fedora package patch to fix the problem, take 2.

This applies Thierry's 2 patches to the Fedora package, which should fix this the right way. Testing indicates this certainly works.

Comment 5 Jaroslav Reznik 2015-03-03 16:11:01 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Nicolas Chauvet (kwizart) 2015-11-09 12:22:18 UTC
Tegra works well enought on current fedora 22 that I expect this bug can be closed.


Note You need to log in before you can comment on or make changes to this bug.